/*
    Copyright (C) 2005-2006  Michel de Boer <michelboer@xs4all.nl>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "definitions.h"
#include "hdr_mime_version.h"

t_hdr_mime_version::t_hdr_mime_version() : t_header() {};

void t_hdr_mime_version::set_version(const string &v) {
	populated = true;
	version = v;
}

string t_hdr_mime_version::encode(void) const {
	string s;

	if (!populated) return s;

	s = "MIME-Version: ";
	s += encode_value();
	s += CRLF;
	
	return s;
}

string t_hdr_mime_version::encode_value(void) const {
	if (!populated) return "";

	return version;
}

string t_hdr_mime_version::encode_env(void) const {
	string s;

	s = "SIP_MIME_VERSION=";
	s += encode_value();
	
	return s;
}
	