/*
    Copyright (C) 2005-2006  Michel de Boer <michelboer@xs4all.nl>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "hdr_proxy_authenticate.h"
#include "definitions.h"

t_hdr_proxy_authenticate::t_hdr_proxy_authenticate() : t_header() {}

void t_hdr_proxy_authenticate::set_challenge(const t_challenge &c) {
	populated = true;
	challenge = c;
}

string t_hdr_proxy_authenticate::encode(void) const {
	string s;
	if (!populated) return s;

	s += "Proxy-Authenticate: ";
	s += encode_value();
	s += CRLF;

	return s;
}

string t_hdr_proxy_authenticate::encode_value(void) const {
	if (!populated) return "";

	return challenge.encode();
}

string t_hdr_proxy_authenticate::encode_env(void) const {
	string s;
	
	s = "SIP_PROXY_AUTHENTICATE=";
	s += encode_value();
	
	return s;
}
